---
title: "Get emails of the invite step"
url: "https://docs.signnow.com/docs/doc-group-field-invite/operations/get-emails-invite-step"
type: "endpoint"
section: "doc-group-field-invite"
slug: "doc-group-field-invite/operations/get-emails-invite-step"
method: "GET"
path: "/documentgroup/{document_group_id}/groupinvite/{invite_id}/invitestep/{step_id}/emails"
operation_id: "get-emails-invite-step"
authorization: "bearer"
---

# Get emails of the invite step

`GET /documentgroup/{document_group_id}/groupinvite/{invite_id}/invitestep/{step_id}/emails`

This endpoint allows API users to retrieve the emails and other parameters of a specific step in a document group invite.

## Authorization

bearer

## Path Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `document_group_id` | string | Yes | ID of the document group. |
| `invite_id` | string | Yes | ID of the document group invite. |
| `step_id` | string | Yes | ID of a step in the invite. |

## Responses

### 200

Returns signer's email addresses in the invite step and email settings for each of them.

**Example** (`Successful response`)

```json
{
  "emails": [
    {
      "email": "user1@example.com",
      "message": "Sales order\u00a0needs your signature.",
      "subject": "Review and sign the document",
      "disabled": null,
      "reminder": {
        "remind_after": 0,
        "remind_before": 0,
        "remind_repeat": 0
      },
      "allow_reassign": false,
      "expiration_days": 30,
      "decline_by_signature": false
    }
  ]
}
```

### 400

* Wrong, expired, or missing token.
* The document group doesn't exist.
* The group invite doesn't exist.
* The invite step doesn't exist.
* The document group belongs to another user.
* The group invite was canceled.

**Example** (`Wrong token`)

```json
{
  "code": 1537,
  "error": "invalid_token"
}
```

**Example** (`Not the owner`)

```json
{
  "errors": [
    {
      "code": 65582,
      "message": "User is not document group owner"
    }
  ]
}
```

**Example** (`Invite canceled`)

```json
{
  "errors": [
    {
      "code": 66302,
      "message": "The group invite was canceled."
    }
  ]
}
```

**Example** (`Invite step not found`)

```json
{
  "errors": [
    {
      "code": 65582,
      "message": "Document group invite step `0d4ad4b1d6a64bf6a8e8b7f0e2f5b5ac0c1f9e3d` not found"
    }
  ]
}
```

**Example** (`Group invite not found`)

```json
{
  "errors": [
    {
      "code": 65582,
      "message": "unable to find document group invite of 0d4ad4b1d6a64bf6a8e8b7f0e2f5b5ac0c1f9e3d"
    }
  ]
}
```

**Example** (`Document group not found`)

```json
{
  "errors": [
    {
      "code": 65582,
      "message": "unable to find document group"
    }
  ]
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X GET \
  "https://api.signnow.com/documentgroup/{document_group_id}/groupinvite/{invite_id}/invitestep/{step_id}/emails" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN"
```

---
*Full reference: https://docs.signnow.com/docs/doc-group-field-invite/operations/get-emails-invite-step*
